<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<rsm:CrossIndustryDocument xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:12" xmlns:rsm="urn:ferd:CrossIndustryDocument:invoice:1p0" xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:15">
	<rsm:SpecifiedExchangedDocumentContext>
		<ram:TestIndicator>
			<udt:Indicator>false</udt:Indicator>
		</ram:TestIndicator>
		<ram:GuidelineSpecifiedDocumentContextParameter>
			<ram:ID>urn:ferd:CrossIndustryDocument:invoice:1p0:basic</ram:ID>
		</ram:GuidelineSpecifiedDocumentContextParameter>
	</rsm:SpecifiedExchangedDocumentContext>
	<rsm:HeaderExchangedDocument>
		<ram:ID>{$pdf_data.base.invoiceno}</ram:ID>
		<ram:Name>Rechnung</ram:Name>
		<ram:TypeCode>388</ram:TypeCode>
		<ram:IssueDateTime>
			<udt:DateTimeString format="102">{$pdf_data.base.created|zugferddateformat}</udt:DateTimeString>
		</ram:IssueDateTime>
		<ram:CopyIndicator>
			<udt:Indicator>false</udt:Indicator>
		</ram:CopyIndicator>
		<ram:LanguageID>de</ram:LanguageID>
		<ram:IncludedNote>
			<ram:Content>Rechnung vom {$pdf_data.base.created|gsalesdateformat}</ram:Content>
		</ram:IncludedNote>
		<ram:EffectiveSpecifiedPeriod>
			<ram:CompleteDateTime>
				<udt:DateTimeString format="102">{$pdf_data.base.created|zugferddateformat}</udt:DateTimeString>
			</ram:CompleteDateTime>
		</ram:EffectiveSpecifiedPeriod>
	</rsm:HeaderExchangedDocument>
	<rsm:SpecifiedSupplyChainTradeTransaction>
		<ram:ApplicableSupplyChainTradeAgreement>
			<ram:SellerTradeParty>
				<ram:Name>{$pdf_config.zug_seller_name}</ram:Name>
				<ram:DefinedTradeContact>
					<ram:PersonName>{$pdf_config.zug_seller_person_name}</ram:PersonName>
				</ram:DefinedTradeContact>
				<ram:PostalTradeAddress>
					<ram:PostcodeCode>{$pdf_config.zug_seller_postcode_code}</ram:PostcodeCode>
					<ram:LineOne>{$pdf_config.zug_seller_line_one}</ram:LineOne>
					<ram:CityName>{$pdf_config.zug_seller_city_name}</ram:CityName>
					<ram:CountryID>{$pdf_config.zug_seller_country_id}</ram:CountryID>
				</ram:PostalTradeAddress>
				<ram:SpecifiedTaxRegistration>
					<ram:ID schemeID="VA">{$pdf_config.zug_seller_tax_id}</ram:ID>
				</ram:SpecifiedTaxRegistration>
			</ram:SellerTradeParty>
			<ram:BuyerTradeParty>
				<ram:ID>{$pdf_data.base.customerno}</ram:ID>
				<ram:Name>{$pdf_data.base.customer_company}</ram:Name>
				<ram:DefinedTradeContact>
					<ram:PersonName>{$pdf_data.base.customer_firstname} {$pdf_data.base.customer_lastname}</ram:PersonName>
				</ram:DefinedTradeContact>
				<ram:PostalTradeAddress>
					<ram:PostcodeCode>{$pdf_data.base.customer_zip}</ram:PostcodeCode>
					<ram:LineOne>{$pdf_data.base.customer_address}</ram:LineOne>
					<ram:CityName>{$pdf_data.base.customer_city}</ram:CityName>
					<ram:CountryID>{$pdf_data.base.guessed_country_code}</ram:CountryID>
				</ram:PostalTradeAddress>
			</ram:BuyerTradeParty>
		</ram:ApplicableSupplyChainTradeAgreement>
		<ram:ApplicableSupplyChainTradeDelivery/>
		<ram:ApplicableSupplyChainTradeSettlement>
			{if $pdf_data.base.customerno != ''}
				<ram:PaymentReference>Rechnung {$pdf_data.base.invoiceno} vom {$pdf_data.base.created|gsalesdateformat}; KNR {$pdf_data.base.customerno}</ram:PaymentReference>
			{else}
				<ram:PaymentReference>Rechnung {$pdf_data.base.invoiceno} vom {$pdf_data.base.created|gsalesdateformat}</ram:PaymentReference>
			{/if}
			{if $pdf_data.base.curr_id == 0}
				<ram:InvoiceCurrencyCode>{$pdf_config.zug_default_currency_id}</ram:InvoiceCurrencyCode>
			{else}
				<ram:InvoiceCurrencyCode>{$pdf_data.base.curr_symbol}</ram:InvoiceCurrencyCode>
			{/if}
			<ram:SpecifiedTradeSettlementPaymentMeans>
				<ram:TypeCode>31</ram:TypeCode>
				<ram:Information>per Überweisung</ram:Information>
				<ram:PayeePartyCreditorFinancialAccount>
					<ram:IBANID>{$pdf_config.zug_creditor_ibanid}</ram:IBANID>
					<ram:AccountName>{$pdf_config.zug_creditor_account_account_name}</ram:AccountName>
				</ram:PayeePartyCreditorFinancialAccount>
				<ram:PayeeSpecifiedCreditorFinancialInstitution>
					<ram:BICID>{$pdf_config.zug_creditor_fi_bicid}</ram:BICID>
					<ram:Name>{$pdf_config.zug_creditor_fi_bank_name}</ram:Name>
				</ram:PayeeSpecifiedCreditorFinancialInstitution>
			</ram:SpecifiedTradeSettlementPaymentMeans>
			<ram:SpecifiedTradeSettlementMonetarySummation>
				{if $pdf_data.base.curr_id == 0}
					<ram:LineTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.rounded_net+$pdf_data.summ.rounded_discount|number_format:2:'.':''}</ram:LineTotalAmount>
					<ram:ChargeTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">0</ram:ChargeTotalAmount>
					<ram:AllowanceTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.rounded_discount|number_format:2:'.':''}</ram:AllowanceTotalAmount>
					<ram:TaxBasisTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.rounded_net|number_format:2:'.':''}</ram:TaxBasisTotalAmount>
					<ram:TaxTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.tax|number_format:2:'.':''}</ram:TaxTotalAmount>
					<ram:GrandTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.gross|number_format:2:'.':''}</ram:GrandTotalAmount>
				{else}
					<ram:LineTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.rounded_curr_net+$pdf_data.summ.rounded_curr_discount|number_format:2:'.':''}</ram:LineTotalAmount>
					<ram:ChargeTotalAmount currencyID="{$pdf_data.base.curr_symbol}">0</ram:ChargeTotalAmount>
					<ram:AllowanceTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.rounded_curr_discount|number_format:2:'.':''}</ram:AllowanceTotalAmount>
					<ram:TaxBasisTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.rounded_curr_net|number_format:2:'.':''}</ram:TaxBasisTotalAmount>
					<ram:TaxTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.curr_tax|number_format:2:'.':''}</ram:TaxTotalAmount>
					<ram:GrandTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.curr_gross|number_format:2:'.':''}</ram:GrandTotalAmount>
				{/if}
			</ram:SpecifiedTradeSettlementMonetarySummation>
		</ram:ApplicableSupplyChainTradeSettlement>
		{assign var=anzahlPositionen value=0}
		{foreach key=k item=p from=$pdf_data.pos}
			{if $p.headline != 1}
			{assign var=anzahlPositionen value=$anzahlPositionen+1}
			<ram:IncludedSupplyChainTradeLineItem>
				<ram:AssociatedDocumentLineDocument>
					<ram:LineID>{$anzahlPositionen}</ram:LineID>
				</ram:AssociatedDocumentLineDocument>
				<ram:SpecifiedSupplyChainTradeAgreement>
					<ram:NetPriceProductTradePrice>
						{if $pdf_data.base.curr_id == 0}
							<ram:ChargeAmount currencyID="{$pdf_config.zug_default_currency_id}">{$p.price|number_format:2:'.':''}</ram:ChargeAmount>
						{else}
							<ram:ChargeAmount currencyID="{$pdf_data.base.curr_symbol}">{$p.curr_price|number_format:2:'.':''}</ram:ChargeAmount>
						{/if}
					</ram:NetPriceProductTradePrice>
				</ram:SpecifiedSupplyChainTradeAgreement>
				<ram:SpecifiedSupplyChainTradeDelivery>
					<ram:BilledQuantity unitCode="C62">{$p.quantity}</ram:BilledQuantity>
				</ram:SpecifiedSupplyChainTradeDelivery>
				<ram:SpecifiedSupplyChainTradeSettlement>
					<ram:ApplicableTradeTax>
						<ram:TypeCode>VAT</ram:TypeCode>
						<ram:ApplicablePercent>{$p.tax|number_format:2:'.':''}</ram:ApplicablePercent>
					</ram:ApplicableTradeTax>
				</ram:SpecifiedSupplyChainTradeSettlement>
				<ram:SpecifiedTradeProduct>
					<ram:GlobalID schemeID="Z02">art{$anzahlPositionen}</ram:GlobalID>
					<ram:Name>{$p.vars_pos_txt}</ram:Name>
				</ram:SpecifiedTradeProduct>
			</ram:IncludedSupplyChainTradeLineItem>
			{/if}
		{/foreach}
	</rsm:SpecifiedSupplyChainTradeTransaction>
</rsm:CrossIndustryDocument>