<?xml version='1.0' encoding='UTF-8' ?>
<rsm:CrossIndustryInvoice xmlns:a="urn:un:unece:uncefact:data:standard:QualifiedDataType:100" xmlns:rsm="urn:un:unece:uncefact:data:standard:CrossIndustryInvoice:100" xmlns:qdt="urn:un:unece:uncefact:data:standard:QualifiedDataType:10" xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:100" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:100">
	<rsm:ExchangedDocumentContext>
		<ram:GuidelineSpecifiedDocumentContextParameter>
			<ram:ID>urn:cen.eu:en16931:2017#compliant#urn:factur-x.eu:1p0:basic</ram:ID>
		</ram:GuidelineSpecifiedDocumentContextParameter>
	</rsm:ExchangedDocumentContext>
	<rsm:ExchangedDocument>
		<ram:ID>{$pdf_data.base.invoiceno}</ram:ID>
		<ram:TypeCode>380</ram:TypeCode>
		<ram:IssueDateTime>
			<udt:DateTimeString format="102">{$pdf_data.base.created|zugferddateformat}</udt:DateTimeString>
		</ram:IssueDateTime>
		<ram:IncludedNote>
			<ram:Content>Rechnung vom {$pdf_data.base.created|gsalesdateformat}</ram:Content>
		</ram:IncludedNote>
		<ram:IncludedNote>
			<ram:Content>{$pdf_config.zug_seller_name}
				{$pdf_config.zug_seller_person_name}
				{$pdf_config.zug_seller_line_one}
				{$pdf_config.zug_seller_postcode_code} {$pdf_config.zug_seller_city_name}
				{$pdf_config.zug_seller_country_id}
			</ram:Content>
		</ram:IncludedNote>
		<ram:IncludedNote>
			<ram:Content>{$pdf_data.vars_i_post_txt}</ram:Content>
		</ram:IncludedNote>
	</rsm:ExchangedDocument>
	<rsm:SupplyChainTradeTransaction>
		{assign var=anzahlPositionen value=0}
		{foreach key=k item=p from=$pdf_data.pos}
			{if $p.headline != 1}
				{assign var=anzahlPositionen value=$anzahlPositionen+1}
				<ram:IncludedSupplyChainTradeLineItem>
					<ram:AssociatedDocumentLineDocument>
						<ram:LineID>{$anzahlPositionen}</ram:LineID>
					</ram:AssociatedDocumentLineDocument>
					<ram:SpecifiedTradeProduct>
						<ram:GlobalID schemeID="0160">art{$anzahlPositionen}</ram:GlobalID>
						<ram:Name>{$p.vars_pos_txt}</ram:Name>
					</ram:SpecifiedTradeProduct>
					<ram:SpecifiedLineTradeAgreement>
						<ram:NetPriceProductTradePrice>
							{if $pdf_data.base.curr_id == 0}
								<ram:ChargeAmount>{$p.unit_price|number_format:2:'.':''}</ram:ChargeAmount>
							{else}
								<ram:ChargeAmount>{$p.curr_unit_price|number_format:2:'.':''}</ram:ChargeAmount>
							{/if}
						</ram:NetPriceProductTradePrice>
					</ram:SpecifiedLineTradeAgreement>
					<ram:SpecifiedLineTradeDelivery>
						<ram:BilledQuantity unitCode="H87">{$p.quantity}</ram:BilledQuantity>
					</ram:SpecifiedLineTradeDelivery>
					<ram:SpecifiedLineTradeSettlement>
						<ram:ApplicableTradeTax>
							<ram:TypeCode>VAT</ram:TypeCode>
							<ram:CategoryCode>{if $p.tax > 0}S{else}E{/if}</ram:CategoryCode>
							<ram:RateApplicablePercent>{$p.tax}</ram:RateApplicablePercent>
						</ram:ApplicableTradeTax>
						<ram:SpecifiedTradeAllowanceCharge>
							<ram:ChargeIndicator>
								<udt:Indicator>false</udt:Indicator>
							</ram:ChargeIndicator>
							<ram:ActualAmount>{$p.discount_value}</ram:ActualAmount>
							<ram:Reason>Rabatt</ram:Reason>
						</ram:SpecifiedTradeAllowanceCharge>
						<ram:SpecifiedTradeSettlementLineMonetarySummation>
								{if $pdf_data.base.curr_id == 0}
									<ram:LineTotalAmount>{$p.tprice|number_format:2:'.':''}</ram:LineTotalAmount>
								{else}
									<ram:LineTotalAmount>{$p.curr_tprice|number_format:2:'.':''}</ram:LineTotalAmount>
								{/if}
						</ram:SpecifiedTradeSettlementLineMonetarySummation>
					</ram:SpecifiedLineTradeSettlement>
				</ram:IncludedSupplyChainTradeLineItem>
			{/if}
		{/foreach}
		<ram:ApplicableHeaderTradeAgreement>
			{if $pdf_data.base.i_zugferd_leitwegid != ''}<ram:BuyerReference>{$pdf_data.base.i_zugferd_leitwegid}</ram:BuyerReference>{/if}
			<ram:SellerTradeParty>
				<ram:Name>{$pdf_config.zug_seller_name}</ram:Name>
				<ram:DefinedTradeContact>
					<ram:PersonName>{$pdf_config.zug_seller_person_name}</ram:PersonName>
					<ram:TelephoneUniversalCommunication>
						<ram:CompleteNumber>{$pdf_config.zug_seller_person_phone}</ram:CompleteNumber>
					</ram:TelephoneUniversalCommunication>
					<ram:EmailURIUniversalCommunication>
						<ram:URIID>{$pdf_config.zug_seller_person_email}</ram:URIID>
					</ram:EmailURIUniversalCommunication>
				</ram:DefinedTradeContact>
				<ram:PostalTradeAddress>
					<ram:PostcodeCode>{$pdf_config.zug_seller_postcode_code}</ram:PostcodeCode>
					<ram:LineOne>{$pdf_config.zug_seller_line_one}</ram:LineOne>
					<ram:CityName>{$pdf_config.zug_seller_city_name}</ram:CityName>
					<ram:CountryID>{$pdf_config.zug_seller_country_id}</ram:CountryID>
				</ram:PostalTradeAddress>
				<ram:SpecifiedTaxRegistration>
					<ram:ID schemeID="VA">{$pdf_config.zug_seller_tax_id}</ram:ID>
				</ram:SpecifiedTaxRegistration>
			</ram:SellerTradeParty>
			<ram:BuyerTradeParty>
				<ram:Name>{$pdf_data.base.customerno}</ram:Name>
				<ram:PostalTradeAddress>
					<ram:PostcodeCode>{$pdf_data.base.customer_zip}</ram:PostcodeCode>
					<ram:LineOne>{$pdf_data.base.customer_firstname} {$pdf_data.base.customer_lastname}</ram:LineOne>
					<ram:LineTwo>{$pdf_data.base.customer_address}</ram:LineTwo>
					<ram:CityName>{$pdf_data.base.customer_city}</ram:CityName>
					<ram:CountryID>{$pdf_data.base.guessed_country_code}</ram:CountryID>
				</ram:PostalTradeAddress>
			</ram:BuyerTradeParty>
		</ram:ApplicableHeaderTradeAgreement>
		<ram:ApplicableHeaderTradeDelivery>
			<ram:ActualDeliverySupplyChainEvent>
				<ram:OccurrenceDateTime>
					{if $pdf_data.base.deliverydate != '0000-00-00 00:00:00'}
						<udt:DateTimeString format="102">{$pdf_data.base.deliverydate|zugferddateformat}</udt:DateTimeString>
					{else}
						<udt:DateTimeString format="102">{$pdf_data.base.created|zugferddateformat}</udt:DateTimeString>
					{/if}
				</ram:OccurrenceDateTime>
			</ram:ActualDeliverySupplyChainEvent>
		</ram:ApplicableHeaderTradeDelivery>
		<ram:ApplicableHeaderTradeSettlement>
			{if $pdf_data.base.curr_id == 0}
				<ram:InvoiceCurrencyCode>{$pdf_config.zug_default_currency_id}</ram:InvoiceCurrencyCode>
			{else}
				<ram:InvoiceCurrencyCode>{$pdf_data.base.curr_symbol}</ram:InvoiceCurrencyCode>
			{/if}
			<ram:SpecifiedTradeSettlementPaymentMeans>
				<ram:TypeCode>58</ram:TypeCode>
				<ram:Information>Zahlung per SEPA Überweisung.</ram:Information>
				<ram:PayeePartyCreditorFinancialAccount>
					<ram:IBANID>{$pdf_config.zug_creditor_ibanid}</ram:IBANID>
					<ram:AccountName>{$pdf_config.zug_creditor_account_account_name}</ram:AccountName>
				</ram:PayeePartyCreditorFinancialAccount>
				<ram:PayeeSpecifiedCreditorFinancialInstitution>
					<ram:BICID>{$pdf_config.zug_creditor_fi_bicid}</ram:BICID>
				</ram:PayeeSpecifiedCreditorFinancialInstitution>
			</ram:SpecifiedTradeSettlementPaymentMeans>
			{foreach key=k item=taxItem from=$pdf_data.summ.taxes_zf}
				<ram:ApplicableTradeTax>
					{if $pdf_data.base.curr_id == 0}
						<ram:CalculatedAmount>{$taxItem.rounded_std|number_format:2:'.':''}</ram:CalculatedAmount>
					{else}
						<ram:CalculatedAmount>{$taxItem.rounded_curr|number_format:2:'.':''}</ram:CalculatedAmount>
					{/if}
					<ram:TypeCode>VAT</ram:TypeCode>
					{if $k == 0}
						<ram:ExemptionReason>Steuerbefreit</ram:ExemptionReason>
					{/if}
					{if $pdf_data.base.curr_id == 0}
						<ram:BasisAmount>{$taxItem.base|number_format:2:'.':''}</ram:BasisAmount>
					{else}
						<ram:BasisAmount>{$taxItem.base_curr|number_format:2:'.':''}</ram:BasisAmount>
					{/if}
					{if $k > 0}
						<ram:CategoryCode>S</ram:CategoryCode>
					{else}
						<ram:CategoryCode>E</ram:CategoryCode>
					{/if}
					<ram:RateApplicablePercent>{$k|number_format:2:'.':''}</ram:RateApplicablePercent>
				</ram:ApplicableTradeTax>
			{/foreach}

			<ram:SpecifiedTradePaymentTerms>
				<ram:DueDateDateTime>
					<udt:DateTimeString format="102">{$pdf_data.base.payable|zugferddateformat}</udt:DateTimeString>
				</ram:DueDateDateTime>
			</ram:SpecifiedTradePaymentTerms>
			<ram:SpecifiedTradeSettlementHeaderMonetarySummation>
				{if $pdf_data.base.curr_id == 0}
					<ram:LineTotalAmount>{$pdf_data.summ.rounded_net|number_format:2:'.':''}</ram:LineTotalAmount>
					<ram:ChargeTotalAmount>0</ram:ChargeTotalAmount>
					<ram:AllowanceTotalAmount>0</ram:AllowanceTotalAmount>
					<ram:TaxBasisTotalAmount>{$pdf_data.summ.rounded_net|number_format:2:'.':''}</ram:TaxBasisTotalAmount>
					<ram:TaxTotalAmount currencyID="{$pdf_config.zug_default_currency_id}">{$pdf_data.summ.tax|number_format:2:'.':''}</ram:TaxTotalAmount>
					<ram:GrandTotalAmount>{$pdf_data.summ.gross|number_format:2:'.':''}</ram:GrandTotalAmount>
					<ram:DuePayableAmount>{$pdf_data.summ.gross|number_format:2:'.':''}</ram:DuePayableAmount>
				{else}
					<ram:LineTotalAmount>{$pdf_data.summ.rounded_curr_net|number_format:2:'.':''}</ram:LineTotalAmount>
					<ram:ChargeTotalAmount>0</ram:ChargeTotalAmount>
					<ram:AllowanceTotalAmount>0</ram:AllowanceTotalAmount>
					<ram:TaxBasisTotalAmount>{$pdf_data.summ.rounded_curr_net|number_format:2:'.':''}</ram:TaxBasisTotalAmount>
					<ram:TaxTotalAmount currencyID="{$pdf_data.base.curr_symbol}">{$pdf_data.summ.curr_tax|number_format:2:'.':''}</ram:TaxTotalAmount>
					<ram:GrandTotalAmount>{$pdf_data.summ.curr_gross|number_format:2:'.':''}</ram:GrandTotalAmount>
					<ram:DuePayableAmount>{$pdf_data.summ.curr_gross|number_format:2:'.':''}</ram:DuePayableAmount>
				{/if}
			</ram:SpecifiedTradeSettlementHeaderMonetarySummation>
		</ram:ApplicableHeaderTradeSettlement>
	</rsm:SupplyChainTradeTransaction>
</rsm:CrossIndustryInvoice>